gstreamermm: Gst::AudioRingBufferSpec Class Reference

gstreamermm 1.10.0

Public Member Functions | List of all members
Gst::AudioRingBufferSpec Class Reference

A class containing the format specification of a Gst::AudioRingBuffer. More...

`#include <gstreamermm/audioringbuffer.h>`

## Public Member Functions
| AudioRingBufferSpec ()
| Default constructor. More...
| AudioRingBufferSpec (const Glib::RefPtr< Gst::Caps >& caps, Gst::AudioRingBufferFormatType type=Gst::AUDIO_RING_BUFFER_FORMAT_TYPE_RAW, guint64 latency_time=0, guint64 buffer_time=0, int segsize=0, int segtotal=0, int seglatency=0)
| Fully construct a Gst::AudioRingBufferSpec. More...
| AudioRingBufferSpec (GstAudioRingBufferSpec& castitem, bool take_ownership=false)
| Construct a Gst::AudioRingBufferSpec from a GstAudioRingBufferSpec. More...
| AudioRingBufferSpec (const AudioRingBufferSpec& other)
| Copy constructor. More...
AudioRingBufferSpec& | operator= (const AudioRingBufferSpec& other)
| Assignment operator. More...
virtual | ~AudioRingBufferSpec ()
| Destructor. More...
void | swap (AudioRingBufferSpec& other)
GstAudioRingBufferSpec* | gobj ()
| Gets the underlying gobject. More...
const GstAudioRingBufferSpec* | gobj () const
| Gets the underlying gobject. More...
Glib::RefPtr< Gst::Caps > | get_caps ()
| Get the caps of the buffer (in). More...
Glib::RefPtr< const Gst::Caps > | get_caps () const
void | set_caps (const Glib::RefPtr< Gst::Caps >& value)
| Set the caps of the buffer (in). More...
Gst::AudioRingBufferFormatType | get_type () const
| Get the sample type (in/out). More...
void | set_type (const Gst::AudioRingBufferFormatType& value)
| Set the sample type (in/out). More...
guint64 | get_latency_time () const
| Get the latency in microseconds (in/out). More...
void | set_latency_time (const guint64& value)
| Set the latency in microseconds (in/out). More...
guint64 | get_buffer_time () const
| Get the total buffer size in microseconds (in/out). More...
void | set_buffer_time (const guint64& value)
| Set the total buffer size in microseconds (in/out). More...
int | get_segsize () const
| Get the size of one segment in bytes (in/out). More...
void | set_segsize (const int& value)
| Set the size of one segment in bytes (in/out). More...
int | get_segtotal () const
| Get the total number of segments (in/out). More...
void | set_segtotal (const int& value)
| Set the total number of segments (in/out). More...
int | get_seglatency () const
| Get the number of segments queued in the lower level device, defaults to segtotal (in/out). More...
void | set_seglatency (const int& value)
| Set the number of segments queued in the lower level device, defaults to segtotal (in/out). More...

## Detailed Description

A class containing the format specification of a Gst::AudioRingBuffer.

Gst::AudioRingBufferSpec contains the format specification of a Gst::AudioRingBuffer. The "in" members should be specified by the caller of the acquire() method while the "in/out" members may be set by the caller but are also modifiable by acquire(). The "out" members are generated as a result of the call to acquire().

See also
  acquire().

## Constructor & Destructor Documentation

## ◆ AudioRingBufferSpec() [1/4]

Gst::AudioRingBufferSpec::AudioRingBufferSpec | ( |  | ) |

Default constructor.

Exceptions

  std::runtime_error | if memory is unavailable for the new Gst::AudioRingBufferSpec.

## ◆ AudioRingBufferSpec() [2/4]

Gst::AudioRingBufferSpec::AudioRingBufferSpec | ( | const Glib::RefPtr< Gst::Caps >& | caps,
|  | Gst::AudioRingBufferFormatType | type = `Gst::AUDIO_RING_BUFFER_FORMAT_TYPE_RAW`,
|  | guint64 | latency_time = `0`,
|  | guint64 | buffer_time = `0`,
|  | int | segsize = `0`,
|  | int | segtotal = `0`,
|  | int | seglatency = `0`
| ) |  |

Fully construct a Gst::AudioRingBufferSpec.

Only the "(in)" parameters are required. The "(in/out)" parameters are optional and may be modified by the call to the Gst::AudioRingBuffer::acquire() method.

Parameters

  caps | The caps of the buffer (in).
  type | The sample type (in/out).
  latency_time | The latency in microseconds (in/out).
  buffer_time | The total buffer size in microseconds (in/out).
  segsize | The size of one segment in bytes (in/out).
  segtotal | The total number of segments (in/out).
  seglatency | Number of segments queued in the lower level device, defaults to segtotal in the C API (in/out).

Exceptions

  std::runtime_error | if memory is unavailable for the new Gst::AudioRingBufferSpec.

## ◆ AudioRingBufferSpec() [3/4]

Gst::AudioRingBufferSpec::AudioRingBufferSpec | ( | GstAudioRingBufferSpec & | castitem,
|  | bool | take_ownership = `false`
| ) |  |
| explicit

Construct a Gst::AudioRingBufferSpec from a GstAudioRingBufferSpec.

## ◆ AudioRingBufferSpec() [4/4]

Gst::AudioRingBufferSpec::AudioRingBufferSpec | ( | const AudioRingBufferSpec& | other | ) |

Copy constructor.

Exceptions

  std::runtime_error | if memory is unavailable for the new Gst::AudioRingBufferSpec.

## ◆ ~AudioRingBufferSpec()

virtual Gst::AudioRingBufferSpec::~AudioRingBufferSpec | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ get_buffer_time()

guint64 Gst::AudioRingBufferSpec::get_buffer_time | ( |  | ) | const

Get the total buffer size in microseconds (in/out).

## ◆ get_caps() [1/2]

Glib::RefPtr<Gst::Caps> Gst::AudioRingBufferSpec::get_caps | ( |  | ) |

Get the caps of the buffer (in).

## ◆ get_caps() [2/2]

Glib::RefPtr<const Gst::Caps> Gst::AudioRingBufferSpec::get_caps | ( |  | ) | const

## ◆ get_latency_time()

guint64 Gst::AudioRingBufferSpec::get_latency_time | ( |  | ) | const

Get the latency in microseconds (in/out).

## ◆ get_seglatency()

int Gst::AudioRingBufferSpec::get_seglatency | ( |  | ) | const

Get the number of segments queued in the lower level device, defaults to segtotal (in/out).

## ◆ get_segsize()

int Gst::AudioRingBufferSpec::get_segsize | ( |  | ) | const

Get the size of one segment in bytes (in/out).

## ◆ get_segtotal()

int Gst::AudioRingBufferSpec::get_segtotal | ( |  | ) | const

Get the total number of segments (in/out).

## ◆ get_type()

Gst::AudioRingBufferFormatType Gst::AudioRingBufferSpec::get_type | ( |  | ) | const

Get the sample type (in/out).

## ◆ gobj() [1/2]

GstAudioRingBufferSpec* Gst::AudioRingBufferSpec::gobj | ( |  | ) |
| inline

Gets the underlying gobject.

## ◆ gobj() [2/2]

const GstAudioRingBufferSpec* Gst::AudioRingBufferSpec::gobj | ( |  | ) | const
| inline

Gets the underlying gobject.

## ◆ operator=()

AudioRingBufferSpec& Gst::AudioRingBufferSpec::operator= | ( | const AudioRingBufferSpec& | other | ) |

Assignment operator.

## ◆ set_buffer_time()

void Gst::AudioRingBufferSpec::set_buffer_time | ( | const guint64 & | value | ) |

Set the total buffer size in microseconds (in/out).

## ◆ set_caps()

void Gst::AudioRingBufferSpec::set_caps | ( | const Glib::RefPtr< Gst::Caps >& | value | ) |

Set the caps of the buffer (in).

## ◆ set_latency_time()

void Gst::AudioRingBufferSpec::set_latency_time | ( | const guint64 & | value | ) |

Set the latency in microseconds (in/out).

## ◆ set_seglatency()

void Gst::AudioRingBufferSpec::set_seglatency | ( | const int & | value | ) |

Set the number of segments queued in the lower level device, defaults to segtotal (in/out).

## ◆ set_segsize()

void Gst::AudioRingBufferSpec::set_segsize | ( | const int & | value | ) |

Set the size of one segment in bytes (in/out).

## ◆ set_segtotal()

void Gst::AudioRingBufferSpec::set_segtotal | ( | const int & | value | ) |

Set the total number of segments (in/out).

## ◆ set_type()

void Gst::AudioRingBufferSpec::set_type | ( | const Gst::AudioRingBufferFormatType& | value | ) |

Set the sample type (in/out).

## ◆ swap()

void Gst::AudioRingBufferSpec::swap | ( | AudioRingBufferSpec& | other | ) |